# C-b is not acceptable -- Vim uses it
set-option -g prefix C-s
bind-key C-s last-window

# Start numbering at 1
set -g base-index 1

# Allows for faster key repetition
set -s escape-time 0

# Set status bar
set -g status-bg default
set -g status-fg white
set -g status-left ""
set -g status-right "#[fg=green]#H"

# Rather than constraining window size to the maximum size of any client 
# connected to the *session*, constrain window size to the maximum size of any 
# client connected to *that window*. Much more reasonable.
setw -g aggressive-resize on

# Allows us to use C-s s <command>
# to send commands to a TMUX session 
# inside another TMUX session
bind-key s send-prefix

 # pane movement
#bind-key j command-prompt -p "join pane from:"  "join-pane -s '%%'"
bind-key ` command-prompt -p "send pane to:"  "join-pane -t '%%'"

# Activity monitoring
#setw -g monitor-activity on
#set -g visual-activity on

# Example of using a shell command in the status line
#set -g status-right "#[fg=yellow]#(uptime | cut -d ',' -f 2-)"

# Highlight active window
set-window-option -g window-status-current-bg red
